Subject: bug#27446: 25.1; Crashing on rendering of Font

From: Mike Dupont <[email-masked]>
Date: Thu, 22 Jun 2017 20:23:16 -0400

It shows line 2306, I was scrolling down.

This is debian sid

Here are the debian versions:
Subject: emacs25: cras
Package: emacs25
Version: 25.1+1-4
Severity: important

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***

-- System Information:
Debian Release: stretch/sid
  APT prefers oldoldstable
  APT policy: (500, 'oldoldstable'), (500, 'unstable'), (500,
'stable'), (500, 'oldstable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.8.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
(ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages emacs25 depends on:
ii  emacs25-bin-common     25.1+1-4
ii  gconf-service          3.2.6-4
ii  libacl1                2.2.52-3
ii  libasound2             1.1.2-1
ii  libatk1.0-0            2.22.0-1
ii  libc6                  2.24-5
ii  libcairo-gobject2      1.14.6-1+b1
ii  libcairo2              1.14.6-1+b1
ii  libdbus-1-3            1.10.12-1
ii  libfontconfig1         2.11.0-6.7
ii  libfreetype6           2.6.3-3+b1
ii  libgconf-2-4           3.2.6-4
ii  libgdk-pixbuf2.0-0     2.36.0-1
ii  libgif7                5.1.4-0.4
ii  libglib2.0-0           2.50.1-1
ii  libgnutls30            3.5.7-3
ii  libgomp1               6.2.1-5
ii  libgpm2                1.20.4-6.2
ii  libgtk-3-0             3.22.2-1
ii  libice6                2:1.0.9-1+b1
ii  libjpeg62-turbo        1:1.5.1-2
ii  libm17n-0              1.7.0-3+b1
ii  libmagickcore-6.q16-3  8:6.9.7.4+dfsg-11
ii  libmagickwand-6.q16-3  8:6.9.7.4+dfsg-11
ii  libotf0                0.9.13-3
ii  libpango-1.0-0         1.40.3-3
ii  libpangocairo-1.0-0    1.40.3-3
ii  libpng16-16            1.6.26-2
ii  librsvg2-2             2.40.16-1
ii  libselinux1            2.6-1
ii  libsm6                 2:1.2.2-1+b1
ii  libtiff5               4.0.6-3
ii  libtinfo5              6.0+20160917-1
ii  libx11-6               2:1.6.3-1
ii  libx11-xcb1            2:1.6.3-1
ii  libxcb1                1.12-1
ii  libxfixes3             1:5.0.2-1
ii  libxft2                2.3.2-1
ii  libxinerama1           2:1.1.3-1+b1
ii  libxml2                2.9.4+dfsg1-2.1
ii  libxpm4                1:3.5.11-1+b1
ii  libxrandr2             2:1.5.0-1
ii  libxrender1            1:0.9.9-2
ii  zlib1g                 1:1.2.8.dfsg-2+b3

emacs25 recommends no packages.

Versions of packages emacs25 suggests:
pn  emacs25-common-non-dfsg  <none>

-- no debconf information

On Thu, Jun 22, 2017 at 11:08 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Mike Dupont <[email-masked]>
>> Date: Thu, 22 Jun 2017 07:38:07 -0400
>>
>> Emacs crashes when viewing the tsv results of this query in wikidata,
>> it looks like a font issue.
>>
>> https://query.wikidata.org/#%23moderism%0ASELECT%20%20%3Fc%20%3Fp4%20%3Fd%20%0AWHERE%0A%7B%0A%20%20%3Fc%20%3Fp4%20%3Fd%20.%0A%20%20%3Fa%20%3Fp3%20%3Fc%20.%0A%20%20%09%3Fa%20%3Fp%20%3Fitem%20.%0A%09%3Fitem%20ps%3AP135%20wd%3AQ878985%20.%0A%09%0A%7D
>>
>> #moderism
>> SELECT  ?c ?p4 ?d
>> WHERE
>> {
>>   ?c ?p4 ?d .
>>   ?a ?p3 ?c .
>>   ?a ?p ?item .
>> ?item ps:P135 wd:Q878985 .
>> }
>>
>> Export results in tsv and open in emacs.
>
> Does it crash as soon as you visit the file, or do you need to scroll
> to a particular point in the file before Emacs crashes?
>
>> I will attach the core files and data files to the ticket for
>> completeness.
>
> Thanks.  It looks like the crash is inside the libotf library which
> Emacs uses for complex script shaping.  I'd suggest to begin by making
> sure you have the latest version of that library and of its peer
> m17n_flt library.

-- 
James Michael DuPont